Subject: Emacs command `quoted-insert' don't discard RET

From: Li Zhai <[email-masked]>
Date: Fri, 28 May 2010 10:15:31 +0800

Package: Emacs
Version: 24.0.50.1

When I invoke the command `C-q' to insert some char with character
code (C-q 6 0 RET).
The documents said the last RET will be discarded, but it doesn't. The last RET
inserted to the buffers. I tried to do the same thing in Emacs 23.2,
there is no problem.
I debugged the function `read-quoted-char' and I found these

      (let ((translation (lookup-key local-function-key-map (vector char))))
	(if (arrayp translation)
	    (setq translated (aref translation 0))))
      (setq translated
	    (if (integerp char)
		(char-resolve-modifiers char)
	      char))

two sexps are transposed in the Emacs 24.

In the Emacs 23.2, is

       (setq translated
	    (if (integerp char)
		(char-resolve-modifiers char)
	      char))
      (let ((translation (lookup-key local-function-key-map (vector char))))
	(if (arrayp translation)
	    (setq translated (aref translation 0))))

When I transposed these two sexps to make the code same as the
Emacs23.2, the problem is gone.

Bye,

Li Zhai